Bug 1316565 - [RDO Mitaka3 test day] When Ironic installation is enabled nova-compute fails to start
[RDO Mitaka3 test day] When Ironic installation is enabled nova-compute fails...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 08:39 EST by Martin Magr
Modified: 2016-05-19 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:57:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Magr 2016-03-10 08:39:58 EST
Description of problem:
fd00::1b15_nova.pp:                               [ ERROR ]   
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: fd00::1b15_nova.pp
Error: Could not start Service[nova-compute]: Execution of '/usr/bin/systemctl start openstack-nova-compute' returned 1: Job for openstack-nova-compute.service failed because the control process exited with error code. See "systemctl status openstack-nova-compute.service" and "journalctl -xe" for details.
You will find full trace in log /var/tmp/packstack/20160310-142020-C3EBQj/manifests/fd00::1b15_nova.pp.log
Please check log file /var/tmp/packstack/20160310-142020-C3EBQj/openstack-setup.log for more information
Additional information:


Version-Release number of selected component (if applicable):
[root@test-controller ~]# rpm -qa openstack*
openstack-ironic-common-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-console-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-puppet-modules-8.0.0a0-0.20160304203011.7dc7e93.el7.centos.noarch
openstack-ironic-api-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-novncproxy-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-packstack-puppet-7.0.0-0.12.dev1699.g8f54936.el7.noarch
openstack-selinux-0.6.57-1.el7.noarch
openstack-cinder-8.0.0.0b4-0.20160304194935.ad1d103.el7.centos.noarch
openstack-utils-2015.2-1.el7.noarch
openstack-ironic-conductor-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-common-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-packstack-7.0.0-0.12.dev1699.g8f54936.el7.noarch
openstack-glance-12.0.0.0b4-0.20160304173252.b887746.el7.centos.noarch
openstack-keystone-9.0.0.0b4-0.20160304193251.9d6ab5d.el7.centos.noarch
openstack-manila-2.0.0.0b4-0.20160304030735.f81bc48.el7.centos.noarch
openstack-nova-conductor-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-nova-cert-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-manila-share-2.0.0.0b4-0.20160304030735.f81bc48.el7.centos.noarch
openstack-nova-scheduler-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-nova-api-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
[root@test-controller ~]# 

[root@test-compute ~]# rpm -qa openstack*
openstack-ceilometer-common-6.0.0.0b4-0.20160304203857.ec4848b.el7.centos.noarch
openstack-utils-2015.2-1.el7.noarch
openstack-ceilometer-polling-6.0.0.0b4-0.20160304203857.ec4848b.el7.centos.noarch
openstack-nova-common-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-selinux-0.6.57-1.el7.noarch
openstack-nova-compute-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-ceilometer-compute-6.0.0.0b4-0.20160304203857.ec4848b.el7.centos.noarch
[root@test-compute ~]# 


Additional info:
[root@test-compute ~]# cat /var/log/nova/nova-compute.log
2016-03-10 14:28:30.756 16599 WARNING oslo_reports.guru_meditation_report [-] Guru mediation now registers SIGUSR1 and SIGUSR2 by default for backward compatibility. SIGUSR1 will no longer be registered in a future release, so please use SIGUSR2 to generate reports.
2016-03-10 14:28:30.756 16599 WARNING oslo_config.cfg [-] Option "compute_manager" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
2016-03-10 14:28:30.758 16599 CRITICAL nova [-] ImportError: No module named ironic.nova.compute.manager
2016-03-10 14:28:30.758 16599 ERROR nova Traceback (most recent call last):
2016-03-10 14:28:30.758 16599 ERROR nova   File "/usr/bin/nova-compute", line 10, in <module>
2016-03-10 14:28:30.758 16599 ERROR nova     sys.exit(main())
2016-03-10 14:28:30.758 16599 ERROR nova   File "/usr/lib/python2.7/site-packages/nova/cmd/compute.py", line 74, in main
2016-03-10 14:28:30.758 16599 ERROR nova     db_allowed=CONF.conductor.use_local)
2016-03-10 14:28:30.758 16599 ERROR nova   File "/usr/lib/python2.7/site-packages/nova/service.py", line 294, in create
2016-03-10 14:28:30.758 16599 ERROR nova     db_allowed=db_allowed)
2016-03-10 14:28:30.758 16599 ERROR nova   File "/usr/lib/python2.7/site-packages/nova/service.py", line 179, in __init__
2016-03-10 14:28:30.758 16599 ERROR nova     manager_class = importutils.import_class(self.manager_class_name)
2016-03-10 14:28:30.758 16599 ERROR nova   File "/usr/lib/python2.7/site-packages/oslo_utils/importutils.py", line 30, in import_class
2016-03-10 14:28:30.758 16599 ERROR nova     __import__(mod_str)
2016-03-10 14:28:30.758 16599 ERROR nova ImportError: No module named ironic.nova.compute.manager
<snip>
[root@test-compute ~]#
Comment 1 Martin Magr 2016-03-10 09:03:58 EST
We should update compute manager configuration value accordingly:
[root@test-controller ~]# grep -rn "ironic.nova.compute.manager" /usr/lib/python2.7/site-packages/packstack
/usr/lib/python2.7/site-packages/packstack/plugins/nova_300.py:628:            cm = 'ironic.nova.compute.manager.ClusteredComputeManager'
Comment 2 Martin Magr 2016-03-22 05:44:11 EDT
Reproduced with openstack-packstack-8.0.0-0.20160321212000.5939a9f.el7.centos.noarch
Comment 4 Chandan Kumar 2016-05-19 11:57:05 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.